#
# Copyright (c) 2003 FreeIPMI Core Team
#
%define name freeipmi
%define version 0.1.3
%define release 2AX

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Development/System
Source: %{name}-%{version}.tar.gz
Patch: freeipmi-0.1.3-compile.patch
BuildRoot: %{_localstatedir}/tmp/%{name}-%{version}
Summary: FreeIPMI
%description
The FreeIPMI project provides "Remote-Console" (out-of-band) and
"System Management Software" (in-band) based on Intelligent
Platform Management Interface (IPMI v1.5) specification.

%package devel
Summary: Development package for FreeIPMI
Group: Development/System
Requires: freeipmi = %{version}-%{release}
%description devel
Development package for FreeIPMI.  This package includes the FreeIPMI
header files and static libraries.

%package fish
Summary: FreeIPMI Shell
Group: Applications/Misc  
Requires: freeipmi = %{version}-%{release}
%description fish
Fish provides Shell, Extension/Plug-in and scripting interface. As a
shell, User has access to both in-band and out-of-band access to the
host BMC through a rich set of IPMI commands.

%package utils
Summary: FreeIPMI Utilities
Group: Applications/Misc 
Prereq: chkconfig, /etc/init.d
Requires: freeipmi = %{version}-%{release}
%description utils
FreeIPMI utilities ipmipower, bmc-watchdog, ipmiping, and rmcpping.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
%configure --program-prefix=%{?_program_prefix:%{_program_prefix}}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
DESTDIR="$RPM_BUILD_ROOT" make install
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8/
mv $RPM_BUILD_ROOT/usr/share/man/man1/sensors.1* $RPM_BUILD_ROOT/usr/share/man/man8/
pushd $RPM_BUILD_ROOT/usr/share/man/man8
for loop in sensors.1*
do
	sed -i 's@IPMI "1"@IPMI "8"@' $loop
	NAME=`echo $loop|sed 's/sensors\.1/sensors\.8/g'`
	mv $loop $NAME
done
popd 

%clean
rm -rf $RPM_BUILD_ROOT

%post utils
chkconfig --add bmc-watchdog

%preun utils
#
# Stop bmc-watchdog if it is running 
#
if [ "$1" = 0 ]; then
    if [ -x /etc/init.d/bmc-watchdog ]; then
       if /etc/init.d/bmc-watchdog status | grep -q running; then
          /etc/init.d/bmc-watchdog stop
       fi
       chkconfig --del bmc-watchdog
    fi
fi

%files
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}/AUTHORS
%doc %{_datadir}/doc/%{name}/BUGS
%doc %{_datadir}/doc/%{name}/COPYING
%doc %{_datadir}/doc/%{name}/ChangeLog
%doc %{_datadir}/doc/%{name}/INSTALL
%doc %{_datadir}/doc/%{name}/NEWS
%doc %{_datadir}/doc/%{name}/README
%doc %{_datadir}/doc/%{name}/THANKS
%doc %{_datadir}/doc/%{name}/TODO
%doc %{_datadir}/doc/%{name}/ipmi-over-ts2000.texi
%doc %{_infodir}/freeipmi.info*
%{_libdir}/*so*
%{_localstatedir}/lib/*
 
%files devel
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}/examples/Makefile
%doc %{_datadir}/doc/%{name}/examples/hello-sensors.c
%doc %{_datadir}/doc/%{name}/freeipmi-hackers-intro.sxi
%doc %{_datadir}/doc/%{name}/ipmi-network-layout.fig
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*

%files fish
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/fish/fish.scm
%config(noreplace) %{_sysconfdir}/fish/sensors-conf.scm
%{_sbindir}/fish
%{_sbindir}/bmc-config
%{_sbindir}/bmc-info
%{_sbindir}/sel
%{_sbindir}/sensors
%{_mandir}/man1/bmc-config.1*
%{_mandir}/man1/bmc-info.1*
%{_mandir}/man1/fish.1*
%{_mandir}/man1/sel.1*
%{_mandir}/man8/sensors.8*
%{_datadir}/fish/*

%files utils
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}/COPYING.bmc-watchdog
%doc %{_datadir}/doc/%{name}/DISCLAIMER.bmc-watchdog
%doc %{_datadir}/doc/%{name}/COPYING.ipmiping
%doc %{_datadir}/doc/%{name}/DISCLAIMER.ipmiping
%doc %{_datadir}/doc/%{name}/COPYING.ipmipower
%doc %{_datadir}/doc/%{name}/DISCLAIMER.ipmipower
%doc %{_datadir}/doc/%{name}/COPYING.rmcpping
%doc %{_datadir}/doc/%{name}/DISCLAIMER.rmcpping
%config(noreplace) %{_sysconfdir}/init.d/bmc-watchdog
%{_sbindir}/bmc-watchdog
%{_sbindir}/ipmiping
%{_sbindir}/ipmipower
%{_sbindir}/rmcpping
%{_mandir}/man5/ipmipower.conf.5*
%{_mandir}/man8/bmc-watchdog.8*
%{_mandir}/man8/ipmiping.8*
%{_mandir}/man8/ipmipower.8*
%{_mandir}/man8/rmcpping.8*
%{_localstatedir}/log/*

%changelog
* Fri Apr 07 2006 Hua Jie <jiehua@redflag-linux.com> 0.1.3-2AX
- mv man page sensors to man8

* Wed Apr 20 2005 Cheng Ding <chengding@redflag-linux.com> 0.1.3-1AX
- misc compile fix.

* Tue Nov 02 2004 freeipmi.sourceforge.net 0.1.3-0.20041102
- initial version
